Index: branches/HTM-3.1-LG/source/Lib/TLibEncoder/TEncSearch.h
===================================================================
--- branches/HTM-3.1-LG/source/Lib/TLibEncoder/TEncSearch.h	(revision 96)
+++ branches/HTM-3.1-LG/source/Lib/TLibEncoder/TEncSearch.h	(revision 97)
@@ -254,10 +254,14 @@
   
   Void  xIntraCodingLumaBlk       ( TComDataCU*  pcCU,
-                                    UInt         uiTrDepth,
-                                    UInt         uiAbsPartIdx,
-                                    TComYuv*     pcOrgYuv, 
-                                    TComYuv*     pcPredYuv, 
-                                    TComYuv*     pcResiYuv, 
-                                    Dist&        ruiDist );
+	  UInt         uiTrDepth,
+	  UInt         uiAbsPartIdx,
+	  TComYuv*     pcOrgYuv, 
+	  TComYuv*     pcPredYuv, 
+	  TComYuv*     pcResiYuv, 
+	  Dist&        ruiDist 
+#if LG_ZEROINTRADEPTHRESI_M26039
+	  ,Bool        bZeroResi = false
+#endif
+	  );
   Void  xIntraCodingChromaBlk     ( TComDataCU*  pcCU,
                                     UInt         uiTrDepth,
@@ -269,16 +273,20 @@
                                     UInt         uiChromaId );
   Void  xRecurIntraCodingQT       ( TComDataCU*  pcCU, 
-                                    UInt         uiTrDepth,
-                                    UInt         uiAbsPartIdx, 
-                                    Bool         bLumaOnly,
-                                    TComYuv*     pcOrgYuv, 
-                                    TComYuv*     pcPredYuv, 
-                                    TComYuv*     pcResiYuv, 
-                                    Dist&        ruiDistY,
-                                    Dist&        ruiDistC,
+	  UInt         uiTrDepth,
+	  UInt         uiAbsPartIdx, 
+	  Bool         bLumaOnly,
+	  TComYuv*     pcOrgYuv, 
+	  TComYuv*     pcPredYuv, 
+	  TComYuv*     pcResiYuv, 
+	  Dist&        ruiDistY,
+	  Dist&        ruiDistC,
 #if HHI_RQT_INTRA_SPEEDUP
-                                   Bool         bCheckFirst,
-#endif
-                                   Double&      dRDCost );
+	  Bool         bCheckFirst,
+#endif
+	  Double&      dRDCost 
+#if LG_ZEROINTRADEPTHRESI_M26039
+	  ,Bool         bZeroResi = false
+#endif
+	  );
   
   Void  xSetIntraResultQT         ( TComDataCU*  pcCU,
@@ -321,4 +329,14 @@
                                     Bool           bLeftAvail );
 #endif
+
+#if LGE_EDGE_INTRA
+  Bool  xEdgePartition       ( TComDataCU* pcCU, UInt uiPartIdx, Bool bPU4x4 );
+  Bool  xCheckTerminatedEdge ( Bool* pbEdge, Int iX, Int iY, Int iWidth, Int iHeight );
+  Bool  xConstructChainCode  ( TComDataCU* pcCU, UInt uiPartIdx, Bool bPU4x4 );
+#if LGE_EDGE_INTRA_DELTA_DC
+  Void  xAssignEdgeIntraDeltaDCs( TComDataCU* pcCU, UInt uiAbsPartIdx, Pel* piOrig, UInt uiStride, Pel* piPredic, UInt uiWidth, UInt uiHeight );
+#endif
+#endif
+
 #if HHI_DMM_WEDGE_INTRA
   Void findWedgeFullMinDist       ( TComDataCU*    pcCU, 
Index: branches/HTM-3.1-LG/source/Lib/TLibEncoder/TEncSlice.cpp
===================================================================
--- branches/HTM-3.1-LG/source/Lib/TLibEncoder/TEncSlice.cpp	(revision 96)
+++ branches/HTM-3.1-LG/source/Lib/TLibEncoder/TEncSlice.cpp	(revision 97)
@@ -627,4 +627,7 @@
   TComSlice* pcSlice            = rpcPic->getSlice(getSliceIdx());
   xDetermineStartAndBoundingCUAddr ( uiStartCUAddr, uiBoundingCUAddr, rpcPic, false );
+#if LG_ZEROINTRADEPTHRESI_M26039
+  rpcPic->setIntraPeriod(this->m_pcCfg->getIntraPeriod());
+#endif
   
   // initialize cost values
